package com.ruoyi.mall.domain.Bo;

import com.ruoyi.common.annotation.Excel;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * 专科
 */

public class ZhuankeBO implements Serializable {
    private static final long serialVersionUID = 1L;

    @Excel(name = "批次")
    private String batchName;

    @Excel(name = "院校代码")
    private String schoolNumber;

    @Excel(name = "院校名称")
    private String schoolName;

    @Excel(name = "专业名称")
    private String majorName;

    @Excel(name = "招生计划人数")
    private Integer acceptNum;

    @Excel(name = "录取原则")
    private String ruleStr;

    @Excel(name="参考分")
    private BigDecimal reference;

    @Excel(name = "录取最低分")
    private BigDecimal acceptLowest;

    @Excel(name = "年份")
    private String acceptYear;

    @Excel(name = "学科")
    private String subjectType;

    @Excel(name = "学费")
    private BigDecimal price;


    public String getBatchName() {
        return batchName;
    }

    public void setBatchName(String batchName) {
        this.batchName = batchName;
    }

    public String getSchoolNumber() {
        return schoolNumber;
    }

    public void setSchoolNumber(String schoolNumber) {
        this.schoolNumber = schoolNumber;
    }

    public String getSchoolName() {
        return schoolName;
    }

    public void setSchoolName(String schoolName) {
        this.schoolName = schoolName;
    }

    public String getMajorName() {
        return majorName;
    }

    public void setMajorName(String majorName) {
        this.majorName = majorName;
    }

    public Integer getAcceptNum() {
        return acceptNum;
    }

    public void setAcceptNum(Integer acceptNum) {
        this.acceptNum = acceptNum;
    }

    public String getRuleStr() {
        return ruleStr;
    }

    public void setRuleStr(String ruleStr) {
        this.ruleStr = ruleStr;
    }

    public BigDecimal getReference() {
        return reference;
    }

    public void setReference(BigDecimal reference) {
        this.reference = reference;
    }

    public BigDecimal getAcceptLowest() {
        return acceptLowest;
    }

    public void setAcceptLowest(BigDecimal acceptLowest) {
        this.acceptLowest = acceptLowest;
    }

    public String getAcceptYear() {
        return acceptYear;
    }

    public void setAcceptYear(String acceptYear) {
        this.acceptYear = acceptYear;
    }

    public String getSubjectType() {
        return subjectType;
    }

    public void setSubjectType(String subjectType) {
        this.subjectType = subjectType;
    }

    public BigDecimal getPrice() {
        return price;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }
}
